#!/bin/sh

if [ -z "${XRXS_ADDR}" ]; then
  XRXS_ADDR=127.0.0.1
fi
if [ -z "${XRXS_PORT}" ]; then
  XRXS_PORT=5460
fi

if [ ! -d ./n ]; then
  mkdir ./n
fi

# start the 9p client and wait for it to initialize
9pfuse "tcp!${XRXS_ADDR}!${XRXS_PORT}" ./n & sleep 1

#run the xrxs client
uxnemu ./xrxs.rom

# logout **VERY IMPORTANT**
# if you don't logout, your username is taken until the server restarts!
if [ -e ./n/ctl ]; then
  echo "logout" >> ./n/ctl
fi
fusermount -u ./n
